'use client'

import { useEffect } from 'react'
import { usePathname } from 'next/navigation'

export default function ClientScripts() {
  const pathname = usePathname()

  useEffect(() => {
    import('@/scripts/main.js')
  }, [pathname])

  return null
}
